Name:           maven-jsf-plugin
Version:        1.3.0
Release:        %mkrel 10
Group:          Development/Java
Summary:        Maven plugin for generating tlds, jsp tag sources and others

License:        ASL 2.0
URL:            http://code.google.com/p/primefaces/source/browse/maven/tags/maven-jsf-plugin/
# svn checkout http://primefaces.googlecode.com/svn/maven/tags/maven-jsf-plugin/1_3_0 maven-jsf-plugin-1.3.0
# tar czvf maven-jsf-plugin-%{version}-sources.tar.gz maven-jsf-plugin-%{version}
Source0:        %{name}-%{version}-sources.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-digester:commons-digester)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This Maven plugin contains several goals that can be used
to generate tlds, jsp tag sources, component sources,
faces-config.xml and facelets-taglib file.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-ssh-external']]"

cp %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Mon May 15 2017 neoclust <neoclust> 1.3.0-10.mga6
+ Revision: 1101390
- Rebuild maven-* packages

* Thu May 11 2017 neoclust <neoclust> 1.3.0-9.mga6
+ Revision: 1100441
- Rebuild on core/release

* Tue May 09 2017 neoclust <neoclust> 1.3.0-8.mga6
+ Revision: 1099856
- Add missing build-requires

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 1.3.0-6.mga5
+ Revision: 810693
- fix Group
- rebuild against current java-stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 1.3.0-4.mga5
+ Revision: 625645
- imported package maven-jsf-plugin


* Thu Mar 06 2014 Michal Srb <msrb@redhat.com> - 1.3.0-4
- Remove wagon-ssh-external extension

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.0-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 17 2013 Michal Srb <msrb@redhat.com> - 1.3.0-1
- Update to upstream version 1.3.0
- Fixed rpmlint warning

* Fri Mar 08 2013 Michal Srb <msrb@redhat.com> - 1.2.3-1
- Initial packaging

